---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1ChatBoxRenderer.html">ChatBoxRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tgui::ChatBoxRenderer Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classtgui_1_1ChatBoxRenderer.html">tgui::ChatBoxRenderer</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html#a14e932d95a242784db7633e573e79ee3">ChatBoxRenderer</a>(ChatBox *chatBox)</td><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html">tgui::ChatBoxRenderer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html#a6c42822ce84bce93ff85ef8c9e53bdac">getBorders</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html#ab1c34add1232dc4cd8dca0ebc4dc8a20">getPadding</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html#a31cef6659471cf55b1ed19e7ca0bbd76">getProperty</a>(std::string property) const  override</td><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html">tgui::ChatBoxRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html#af543318f32119c50d0715d464e6a4f4d">getPropertyValuePairs</a>() const  override</td><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html">tgui::ChatBoxRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html#aa4f8c2322f87ccd179bade46e04dcd67">setBackgroundColor</a>(const Color &amp;backgroundColor)</td><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html">tgui::ChatBoxRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html#a35d65c9b4ad2b99199f7dc483f98fbde">setBackgroundTexture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html">tgui::ChatBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html#a886209bb4a7b19932d1afa2ff369b292">setBorderColor</a>(const Color &amp;borderColor)</td><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html">tgui::ChatBoxRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">setBorders</a>(const Borders &amp;borders)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html#a19f9c75a3091e3812a1ed997e4b33260">setBorders</a>(float leftBorder, float topBorder, float rightBorder, float bottomBorder)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html#ab1a3bd4fee10eb2dcab6bce06efcea45">setBorders</a>(float width, float height)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html#a88ff9a46cdcf37a7259b291bcde29513">setPadding</a>(const Padding &amp;padding) override</td><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html">tgui::ChatBoxRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html#a865dcb475db3ef518b601846045c9212">tgui::WidgetPadding::setPadding</a>(float leftPadding, float topPadding, float rightPadding, float bottomPadding)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html#abba6165c8b9220c6bf904446a0c7f262">tgui::WidgetPadding::setPadding</a>(float width, float height)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html#a51643c9fc3b92a76728e03a07fedb4fa">setProperty</a>(std::string property, const std::string &amp;value) override</td><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html">tgui::ChatBoxRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html#acf5fdb41110179b92d75ff6cb3d67df0">setProperty</a>(std::string property, ObjectConverter &amp;&amp;value) override</td><td class="entry"><a class="el" href="classtgui_1_1ChatBoxRenderer.html">tgui::ChatBoxRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a>()</td><td class="entry"><a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:42 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
